IRQTOP(1)

NUME
irqtop - afișează informații despre întreruperile din nucleu

REZUMAT

irqtop [opțiuni]

DESCRIERE

Afișează informațiile privind contorul de întreruperi din nucleu în stilul top(1).

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output.

OPȚIUNI

-o, --output listă
    Specificați ce coloane de ieșire se vor afișa. Utilizați --help pentru a obține o listă cu toate coloanele acceptate. Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă.

-b, --batch
    Trimite tabelele produse către ieșirea standard în loc de un ecran static. Această funcție poate fi folosită pentru trimiterea rezultatului către alte programe sau către un fișier.

-c, --cpu-stat când
    Dacă se afișează statisticile pentru fiecare CPU. Argumentele posibile sunt: auto, never, always. Valoarea implicită este auto: statisticile pentru fiecare CPU sunt afișate atunci când fereastra este suficient de lată pentru a cuprinde lista completă a CPU-urilor.

-C, --cpu-list listă
    Specifică CPU-urile în format listă pentru a fi afișate.

-d, --delay secunde
    Actualizează tabelele la fiecare acest număr de secunde.

-J, --json
    Utilizează formatul de ieșire JSON. Implică --batch.

-n, --iter număr
    Specifică numărul maxim de iterații înainte de a opri programul.

-s, --sort coloana
    Specifică criteriile de sortare după numele coloanei. Consultați --help pentru a obține numele coloanelor. Criteriile de sortare pot fi modificate în modul interactiv.

-S, --softirq
    Afișează informații despre softirqs.

-t, --threshold min
    Afișează numai IRQ-urile cu contoare peste pragul specificat. Sunt acceptate valori care pot fi citite de către om (de exemplu, 1,2K).

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

COMENZI DE TASTE PENTRU MODUL INTERACTIV

i
    sortează după numele irq scurt sau după câmpul numeric

t
    sortează după numărul total de întreruperi (implicit)

d
    sortează după numărul delta de întreruperi

n
    sortare după câmpul de nume descriptiv lung

q Q
    oprește actualizările și părăsește programul

AUTORI

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda irqtop face parte din pachetul util-linux care poate fi descărcat de la